Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2003-0972

CVE information

Published

18 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Integer signedness error in ansi.c for GNU screen 4.0.1 and earlier, and 3.9.15 and earlier, allows local users to execute arbitrary code via a large number of ";" (semicolon) characters in escape sequences, which leads to a buffer overflow..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:gnu:screen:4.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:screen:3.9.11:*:*:*:*:*:*:*
  Yes
- -